<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\RequestQuotation;
use App\Models\User;

class RequestQuotationPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any RequestQuotation');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, RequestQuotation $requestquotation): bool
    {
        return $user->checkPermissionTo('view RequestQuotation');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create RequestQuotation');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, RequestQuotation $requestquotation): bool
    {
        return $user->checkPermissionTo('update RequestQuotation');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, RequestQuotation $requestquotation): bool
    {
        return $user->checkPermissionTo('delete RequestQuotation');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any RequestQuotation');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, RequestQuotation $requestquotation): bool
    {
        return $user->checkPermissionTo('restore RequestQuotation');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any RequestQuotation');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, RequestQuotation $requestquotation): bool
    {
        return $user->checkPermissionTo('replicate RequestQuotation');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder RequestQuotation');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, RequestQuotation $requestquotation): bool
    {
        return $user->checkPermissionTo('force-delete RequestQuotation');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any RequestQuotation');
    }
}
